Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.book
Class BookIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>
              com.bea.portal.tools.resource.WebAppResourceIDBuilder<T>
                  com.bea.portal.tools.resource.ParentedResourceIDBuilder<T>
                      com.bea.portal.tools.portal.PortalParentedResourceIDBuilder<T>
                          com.bea.portal.tools.portal.DesktopParentedResourceIDBuilder<BookID>
                              com.bea.portal.tools.portal.book.BookIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class BookIDBuilder

extends DesktopParentedResourceIDBuilder<BookID>

Identifies the collection of portal resource definitions.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`BookIDBuilder()` Constructor.

Method Summary
`BookID` | `createResourceID()` Create the `BookID`.
`BookInstanceId` | `getBookInstanceId()` Get the `BookInstanceId`.
`boolean` | `isPrimary()` Returns `true` if this book instance is of type primary
`protected DesktopParentedResourceID` | `narrowParentedResourceID(ResourceID parentedResourceID)` Use this to narrow to a specific resourceId type in subclasses
`BookIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`BookIDBuilder` | `setBookInstanceId(BookInstanceId bookInstanceId)` Change the `BookInstanceId`.
`BookIDBuilder` | `setPrimary(boolean isPrimary)` Sets this book instance to primary WARNING: Setting a book instance that is not primary to primary may cause undesired behavior.

Methods inherited from class com.bea.portal.tools.portal.DesktopParentedResourceIDBuilder
`getDesktopDefinitionID, setDesktopDefinitionID`

Methods inherited from class com.bea.portal.tools.portal.PortalParentedResourceIDBuilder
`getPortalID, setPortalID`

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceIDBuilder
`getParentResourceID, getRawParentResourceID, setParentResourceID`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceIDBuilder
`getWebApp, getWebAppResourceID, setWebApp, setWebAppResourceID`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BookIDBuilder

    public BookIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public BookIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `BookIDBuilder`

  Overrides:
    `parseResourceURN` in class `DesktopParentedResourceIDBuilder<BookID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

  Get the `BookInstanceId`.

  Returns
    the `BookInstanceId`

### setBookInstanceId

    public BookIDBuilder setBookInstanceId(BookInstanceId bookInstanceId)

  Change the `BookInstanceId`.

  Parameters
    `bookId` - the `BookInstanceId`
  Returns
    this `BookIDBuilder`

### isPrimary

    public boolean isPrimary()

  Returns `true` if this book instance is of type primary

  Returns
    `true` if this book instance is of type primary

### setPrimary

    public BookIDBuilder setPrimary(boolean isPrimary)

  Sets this book instance to primary WARNING: Setting a book instance that is not primary to primary may cause undesired behavior.

  Parameters
    `isPrimary` - `true` to make this book instance primary
  Returns
    this `BookIDBuilder`

### createResourceID

    public BookID createResourceID()

  Create the `BookID`. the `BookID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<BookID>`
  Returns
    the `ResourceID`

### narrowParentedResourceID

    protected DesktopParentedResourceID narrowParentedResourceID(ResourceID parentedResourceID)

  Description copied from class: `ParentedResourceIDBuilder`
  Use this to narrow to a specific resourceId type in subclasses

  Overrides:
    `narrowParentedResourceID` in class `DesktopParentedResourceIDBuilder<BookID>`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.